Сайт | Скачать | Видео | Wiki

Голосование

Нужен?

да
нет

Автор Тема: JWM для PRA64  (Прочитано 5523 раз)

0 Пользователей и 1 Гость просматривают эту тему.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A
JWM для PRA64
« : 23 Август 2015, 11:21:51 »
Лучше jwm для pra64 сделай ;)
PRA64 позиционируется для мощных ПК c упрощением процедуры сборки. Нужен ли там совсем легкий jwm если в PRA64 уже внутри gtk3
Модуль jwm64 есть в pfs-test , но обновлялку меню скомпилить под 64 не удалось
Можно заюзать аналог на bash
Только в последней версии jwm сильно поменяли конфиги. Плюсов в новой версии не выявлено
Ради какой цели разгребать все эти jwm проблемы?
В pra32 старый jwm есть - для тех кому не жизнь без jwm

Оффлайн paulus

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 1639
  • Репутация: +24/-0
Re:JWM для PRA64
« Ответ #1 : 23 Август 2015, 12:37:09 »
PRA64 позиционируется для мощных ПК
То есть, по вашему, pra32 не для мощных ПК? ;) Мне всегда было без разницы что там и куда позиционируется. Ведь и на мощном ПК лучше, и быстрее использовать легкий, быстрый WM. А не всякие DE, даже sde/lxde... Тем более есть привычка. imho
Цитата: sfs
нужен ли там совсем легкий jwm если в PRA64 уже внутри gtk3

Любой gtk для jwm не нужен. Какая тут связь? У вас скоро и firefox-light без gtk3 не запустится и что?
У нас в пра32 есть и новый jwm и все там уже подправили, а вот для pra64 (как вы уже сказали) есть проблема с меню. Столько лепишь сборок с DE/WM и файловыми менеджерами (и менял их уже много раз), а то что всегда было привычным стандартом забросил. Ничего не требую, но как-то не понятно :( Зачем мне глучный sde в замен привычному и любимому jwm?

Цитата: sfs
Можно заюзать аналог на bash
Буду очень признателен.
« Последнее редактирование: 23 Август 2015, 12:52:05 от paulus »

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A

Оффлайн paulus

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 1639
  • Репутация: +24/-0
Re:JWM для PRA64
« Ответ #3 : 15 Сентябрь 2015, 23:54:02 »
http://www.puppyrus.org/~melvik/puppyrus/ftp/puppyrus/puppyrus-a64/pra64-05/pfs-test/080-Jwm-2.2.2-s04_64.pfs
Мучаю на основе вашего 080-jwm-2.3.1-*. Вроде все более менее, но на верхней панели меню выключения не выходит по нажатию на кнопку. Не подскажете что нужно подправить? На пра32 с jwm-2.3.1 такой проблемы нет. И между часами и другими ярлыками промежуток "в две иконки". В подменю разделители то есть, то нет, то по два. Как бы подправить? Ваша русификация меню прибила ее же из-за отсутствия jwm.mo

« Последнее редактирование: 16 Сентябрь 2015, 00:21:58 от paulus »

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A
Re:JWM для PRA64
« Ответ #4 : 16 Сентябрь 2015, 10:17:05 »
Мучаю на основе вашего 080-jwm-2.3.1-*.
Я 2.3 не делал и не планирую без понимания что даст обновление
на верхней панели меню выключения не выходит по нажатию на кнопку
jwmrc-menu-0
между часами и другими ярлыками промежуток "в две иконки".
В .jwmtray удалите trayXload
В подменю разделители то есть, то нет, то по два. Как бы подправить?
Удаляйте лишние Separator в /usr/local/bin/jwm_menu_create
Ваша русификация меню прибила ее же из-за отсутствия jwm.mo
Не понял кто кого прибил и что делать
jwm.mo - да, потерял. Добавлю
« Последнее редактирование: 16 Сентябрь 2015, 10:21:55 от sfs »

Оффлайн paulus

  • Активный участник
  • Ветеран
  • ****
  • Сообщений: 1639
  • Репутация: +24/-0
Re:JWM для PRA64
« Ответ #5 : 17 Сентябрь 2015, 22:04:57 »
Пока мучаю jwm-2.3.1-*, уже вышел 2.3.2 :) Как в арче появится буду экспериментировать на нем...
Спасибо за советы, почти все подправил! :)

Я 2.3 не делал и не планирую без понимания что даст обновление
Для меня это одинаковые настройки и внешний вид на арче, убунте (сейчас не пользуюсь) и пра32/64 ;) Удаляются баги, добавляются новые фичи. Автор на сайте все описывает, если что... Чем не аргумент? Вам и понимание ничего не даст, ведь вы jwm не используете :) или ошибаюсь?

Цитата
jwmrc-menu-0
Файл есть, смотрел его и другие перед тем как написал, но не разобрался почему менюха не появляется на верхней панели. В пра на jwm-2.3.1 ок...

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A
Re:JWM для PRA64
« Ответ #6 : 18 Сентябрь 2015, 10:39:54 »
jwm элементарно компилится из исходников
Юзаю на слабом железе. На мощном напрягает отсутствие нормального мониторинга типа multiload
От jwm отталкивает необходимость кучи костылей для меню и внешний вид "привет из 70х". Экономия ресурсов по сравнению с тем же lxde минимальна (особенно на фоне запущенного браузера)
В 2.3 ухудшился внешний вид панели. Разбираться с изменениями конфигов , не имея стимула в виде нового функционала - неохота

jwmrc-menu-0 - написал что знал - теперь если только сам модуль смотреть
Верхнее меню многих напрягало. apwal удобнее и универсальнее
« Последнее редактирование: 18 Сентябрь 2015, 10:41:30 от sfs »

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10381
  • Репутация: +106/-2
Re:JWM для PRA64
« Ответ #7 : 18 Сентябрь 2015, 10:56:27 »
В 2.3 ухудшился внешний вид панели. Разбираться с изменениями конфигов , не имея стимула в виде нового функционала - неохота
рано или позно придется, если планируется обновлять.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A
Re:JWM для PRA64
« Ответ #8 : 18 Сентябрь 2015, 11:39:04 »
Много ли народа его юзает.... Голосования на форуме дают результаты 2 против 1го (на уровне погрешности)
Как узнать....
« Последнее редактирование: 18 Сентябрь 2015, 11:43:25 от sfs »

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10381
  • Репутация: +106/-2
Re:JWM для PRA64
« Ответ #9 : 18 Сентябрь 2015, 11:43:21 »
никак не узнать. Сделать выбор и либо про JWM больше никто не услышит, либо продолжить использование и соответственно переходить на новые версии.
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A
Re:JWM для PRA64
« Ответ #10 : 18 Сентябрь 2015, 11:48:49 »
Хотел слить jwm в 64 - по итогу голосования все-таки сделал
Тупо обновлять версии только для того чтобы обновлять - тут я не так категоричен как Дядя Шурик, но во многом соглашусь
Например: lxpanel в pra32 древний. Новые явно хуже (пробовал)
В идеале ВМ должен вести тот, кто сам юзает
paulus пытается взять на себя  jwm - может в этом выход

Оффлайн Pro

  • Модератор
  • Ветеран
  • ****
  • Сообщений: 10381
  • Репутация: +106/-2
Re:JWM для PRA64
« Ответ #11 : 18 Сентябрь 2015, 12:01:20 »
ВОТ применительно к программам которые используются, вести диалог с авторами можно и нужно. Кажется это принцип опенсоурс?
Обращался к разработчику lxpanel?
Я загружаю новые пакеты сюда: http://file.puppyrus.org/users/ а дальше можно найти самостоятельно.

Оффлайн sfs

  • Администратор
  • Ветеран
  • ****
  • Сообщений: 26874
  • Репутация: +182/-0
    • PuppyRus-A
Re:JWM для PRA64
« Ответ #12 : 18 Сентябрь 2015, 12:05:45 »
С авторами можно и нужно общаться про баги и фичреквесты
Если начать ныть "не той дорогой идете" - слушать не будут (как с systemd). Не нравится - форкай (как с SDE). Не можешь форкнуть - ешь что дают или ищи альтернативы
Про lxpanel - обращался к автору SDE - не сильно продвинулись.
Про что мне обращаться - меня старая lxpanel устраивает. Это с ядром, дровами - сложно. Панель и весь userlevel - вариантов много все свойства на поверхности
Применительно к jwm - нет в нем ничего сверхценного. Функционал как у всех. То что он не юзает даже gtk2 ничего не дает. Без gtk2 пока никак
« Последнее редактирование: 18 Сентябрь 2015, 13:00:20 от sfs »